"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const harmony_1 = require("@teambit/harmony");
const ui_1 = require("@teambit/ui");
const react_1 = __importDefault(require("react"));
const sidebar_aspect_1 = require("./sidebar.aspect");
const ui_2 = require("./ui");
class SidebarUI {
    constructor(drawerSlot) {
        this.drawerSlot = drawerSlot;
        this.render = () => {
            return react_1.default.createElement(ui_2.SideBar, { drawerSlot: this.drawerSlot });
        };
    }
    registerDrawer(drawer) {
        this.drawerSlot.register(drawer);
        return this;
    }
    static provider(deps, config, [drawerSlot]) {
        return __awaiter(this, void 0, void 0, function* () {
            return new SidebarUI(drawerSlot);
        });
    }
}
exports.SidebarUI = SidebarUI;
SidebarUI.runtime = ui_1.UIRuntime;
SidebarUI.slots = [harmony_1.Slot.withType()];
SidebarUI.dependencies = [];
sidebar_aspect_1.SidebarAspect.addRuntime(SidebarUI);
//# sourceMappingURL=sidebar.ui.runtime.js.map