"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const drawer_1 = require("../drawer");
const side_bar_module_scss_1 = __importDefault(require("./side-bar.module.scss"));
function SideBar({ drawerSlot }) {
    const [openDrawerList, onToggleDrawer] = react_1.useState([drawerSlot.toArray()[0][0]]);
    const handleDrawerToggle = (id) => {
        const isDrawerOpen = openDrawerList.includes(id);
        if (isDrawerOpen) {
            onToggleDrawer((list) => list.filter((drawer) => drawer !== id));
            return;
        }
        onToggleDrawer((list) => list.concat(id));
    };
    return (react_1.default.createElement("div", { className: side_bar_module_scss_1.default.sidebar }, drawerSlot.toArray().map(([id, drawer]) => {
        if (!drawer || !drawer.name)
            return null;
        return (react_1.default.createElement(drawer_1.DrawerUI, { isOpen: openDrawerList.includes(id), onToggle: () => handleDrawerToggle(id), key: id, drawer: drawer }));
    })));
}
exports.SideBar = SideBar;
//# sourceMappingURL=side-bar.js.map